## pipewire 1.0.7

=== debian/changelog ===
pipewire (1.0.7-1build2) oracular; urgency=medium

  * Rebuild against new libwebrtc-audio-processing-1-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 20:47:47 +0200

pipewire (1.0.7-1build1) oracular; urgency=medium

  * Rebuild against new libwebrtc-audio-processing-1-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 18:25:42 +0200

pipewire (1.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 May 2024 11:49:41 +0200

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libapparmor-dev [linux-any],
               libasound2-dev,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
               libdbus-1-dev,
               libffado-dev,
               libfreeaptx-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev,
               libcanberra-dev,
               liblc3-dev,
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev,
               libmysofa-dev,
               libncurses-dev,
               libopus-dev,
               libpulse-dev,
               libreadline-dev,
               libroc-dev (>= 0.3.0+dfsg-3),
               libsbc-dev,
               libsdl2-dev <!noinsttest>,
               libsnapd-glib-dev [amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x],
               libsndfile1-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               libv4l-dev,
               libwebrtc-audio-processing-dev,
               libxfixes-dev (>= 1:6.0.0),
               meson (>= 0.61.1),
               modemmanager-dev,
               pkgconf,
               python3-docutils,
               systemd-dev
Build-Conflicts: libfdk-aac-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/
Rules-Requires-Root: no

Package: libpipewire-0.3-0t64
Provides: ${t64:Provides}
Replaces: libpipewire-0.3-0
Breaks: libpipewire-0.3-0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpipewire-0.3-common
Suggests: pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - common files
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libpipewire-0.3-modules-x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libcanberra-pulse
Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
Description: libraries for the PipeWire multimedia server - X11 modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains X11 modules.

Package: libspa-0.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: any
Multi-Arch: same
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         adduser
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-bin
Section: video
Architecture: any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus-user-session,
            wireplumber,
            rtkit
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-pulse
Section: sound
Architecture: any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2)
Breaks: pipewire-bin (<< 0.3.27-2)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wireplumber
Suggests: libspa-0.2-bluetooth,
          pulseaudio-utils
Description: PipeWire PulseAudio daemon
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the PulseAudio replacement daemon.

Package: pipewire-alsa
Section: sound
Architecture: any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Conflicts: pulseaudio
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin for ALSA applications to output via PipeWire.

Package: pipewire-jack
Section: sound
Architecture: any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire JACK plugin, for JACK applications to output via PipeWire
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.

## pipewire 1.2.0

=== meson_options.txt ===
option('docdir',
       type : 'string',
       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
option('docs',
       description: 'Documentation',
       type: 'feature',
       value: 'disabled')
option('man',
       description: 'Manual pages',
       type: 'feature',
       value: 'disabled')
option('examples',
       description: 'Build examples',
       type: 'feature',
       value: 'enabled')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'enabled',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('gstreamer-device-provider',
       description: 'Build GStreamer device provider plugin',
       type: 'feature',
       value: 'auto')
option('systemd',
       description: 'Enable systemd integration',
       type: 'feature',
       value: 'auto')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file (ignored without systemd)',
       type: 'feature',
       value: 'enabled')
option('selinux',
       description: 'Enable SELinux integration',
       type: 'feature',
       value: 'auto')
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'feature',
       value: 'auto')
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'feature',
       value: 'enabled')
option('pipewire-v4l2',
       description: 'Enable pipewire-v4l2 integration',
       type: 'feature',
       value: 'enabled')
option('jack-devel',
       description: 'Install jack development files',
       type: 'boolean',
       value: false)
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('libv4l2-path',
       description: 'Where to install the libpw-v4l2.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'feature',
       value: 'enabled')
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsp-native',
       description: 'Enable HSP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hfp-native',
       description: 'Enable HFP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-native-mm',
       description: 'Enable ModemManager in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'disabled')
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin (no dependency on oFono)',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hsphfpd',
       description: 'Enable hsphfpd backend in bluez5 spa plugin (no dependency on hsphfpd)',
       type: 'feature',
       value: 'enabled')
option('bluez5-codec-aptx',
        description: 'Enable AptX Qualcomm open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac',
        description: 'Enable LDAC Sony open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-aac',
        description: 'Enable Fraunhofer FDK AAC open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3plus',
        description: 'Enable LC3plus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-opus',
        description: 'Enable Opus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3',
        description: 'Enable LC3 open source codec implementation',
        type: 'feature',
        value: 'auto')
option('control',
       description: 'Enable control spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'feature',
       value: 'auto')
option('support',
       description: 'Enable support spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('test',
       description: 'Enable test spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('dbus',
       description: 'Enable code that depends on dbus',
       type: 'feature',
       value: 'enabled')
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('volume',
       description: 'Build the legacy volume spa plugin',
       type: 'feature',
       value: 'disabled')
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'auto')
option('pw-cat-ffmpeg',
       description: 'Enable FFmpeg integration in pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'disabled')
option('udev',
       description: 'Enable Udev integration',
       type: 'feature',
       value: 'auto')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units (defaults to /usr/lib/systemd/system)')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('sdl2',
       description: 'Enable code that depends on SDL 2',
       type: 'feature',
       value: 'auto')
option('sndfile',
       description: 'Enable code that depends on libsndfile',
       type: 'feature',
       value: 'auto')
option('libmysofa',
       description: 'Enable code that depends on libmysofa',
       type: 'feature',
       value: 'auto')
option('libpulse',
       description: 'Enable code that depends on libpulse',
       type: 'feature',
       value: 'auto')
option('roc',
       description: 'Enable code that depends on roc toolkit',
       type: 'feature',
       value: 'auto')
option('avahi',
       description: 'Enable code that depends on avahi',
       type: 'feature',
       value: 'auto')
option('echo-cancel-webrtc',
       description : 'Enable WebRTC-based echo canceller',
       type : 'feature',
       value : 'auto')
option('libusb',
       description: 'Enable code that depends on libusb',
       type: 'feature',
       value: 'auto')
option('session-managers',
       description : 'Session managers to build (can be [] for none or an absolute path)',
       type : 'array',
       value : ['wireplumber'])
option('raop',
       description: 'Enable module for Remote Audio Output Protocol',
       type: 'feature',
       value: 'auto')
option('lv2',
       description: 'Enable loading of LV2 plugins',
       type: 'feature',
       value: 'auto')
option('x11',
       description: 'Enable code that depends on X11',
       type: 'feature',
       value: 'auto')
option('x11-xfixes',
       description: 'Enable code that depends on XFixes',
       type: 'feature',
       value: 'auto')
option('libcanberra',
       description: 'Enable code that depends on libcanberra',
       type: 'feature',
       value: 'auto')
option('legacy-rtkit',
       description: 'Build legacy rtkit module',
       type: 'boolean',
       value: true)
option('avb',
       description: 'Enable AVB code',
       type: 'feature',
       value: 'auto')
option('flatpak',
       description: 'Enable Flatpak support',
       type: 'feature',
       value: 'enabled')
option('readline',
       description: 'Enable code that depends on libreadline',
       type: 'feature',
       value: 'auto')
option('gsettings',
       description: 'Enable code that depends on gsettings',
       type: 'feature',
       value: 'auto')
option('compress-offload',
       description: 'Enable ALSA Compress-Offload support',
       type: 'feature',
       value: 'auto')
option('pam-defaults-install',
       description: 'Install limits.d file modifying defaults for all PAM users. Only for old kernels/systemd!',
       type: 'boolean',
       value: false)
option('pam-memlock-default',
       description : 'The default memlock value for any PAM user in kilobytes. Multiples of 64 recommended.',
       type : 'integer',
       min: 640,
       value: 8192)
option('rlimits-install',
       description: 'Install PAM limits.d file. Voids all following rlimits-* options, if false',
       type: 'boolean',
       value: true)
option('rlimits-match',
       description : 'PAM match rule for the generated limits.d file. @<name> denotes matching a group.',
       type : 'string',
       value: '@pipewire')
option('rtprio-server',
       description : 'PipeWire server realtime priority',
       type : 'integer',
       min: 11,
       max: 99,
       value: 88)
option('rtprio-client',
       description : 'PipeWire clients realtime priority',
       type : 'integer',
       min: 11,
       max: 99,
       value: 83)
option('rlimits-rtprio',
       description : 'RR and FIFO scheduler priority permitted for realtime threads of the matching user(s)',
       type : 'integer',
       min: 11,
       max: 99,
       value: 95)
option('rlimits-memlock',
       description : 'kB of memory each process of the user matched by the rule can lock. Can be unlimited .',
       type : 'string',
       value: '4194304')
option('rlimits-nice',
       description : 'Not niceness permitted for non-realtime threads of the matching user(s)',
       type : 'integer',
       min: -20,
       max: -1,
       value: -19)
option('opus',
       description: 'Enable code that depends on opus',
       type: 'feature',
       value: 'auto')
option('libffado',
       description: 'Enable code that depends on libffado',
       type: 'feature',
       value: 'auto')
option('gsettings-pulse-schema',
       description: 'Install gsettings schema for pulseaudio',
       type: 'feature',
       value: 'auto')
option('snap',
       description : 'Enable Snap permissions support.',
       type : 'feature',
       value : 'auto')
option('doc-prefix-value',
       description : 'Installation prefix to show in documentation instead of the actual value.',

=== debian/changelog ===
pipewire (1.2.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert changes for t64 transition and undo minver for dpkg-dev B-D.
  * d/rules: udev rules installed to /lib/udev/rules.d.
  * Add back systemd as alternative B-D for systemd-dev..

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Jun 2024 11:04:54 -0700

pipewire (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Adjust VCS fields in d/control and d/gbp.conf

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Jun 2024 10:07:19 +0200

pipewire (1.1.83-1) experimental; urgency=medium

  * New upstream release (1.2 release candidate 3)
  * Update symbols file
  * Add branch debian/experimental in Vcs-Git

 -- Dylan Aïssi <daissi@debian.org>  Tue, 18 Jun 2024 17:39:33 +0200

pipewire (1.1.82-1) experimental; urgency=medium

  * New upstream release (1.2 release candidate 2)
  * Install new module snapcast-discover in libpipewire-0.3-modules

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 May 2024 13:13:56 +0200

pipewire (1.1.81-1) experimental; urgency=medium

  * New upstream release (1.2 release candidate 1)
  * Install new pw-container in pipewire-bin
  * Install new module parametric-equalizer in libpipewire-0.3-modules
  * Install org.freedesktop.pulseaudio.gschema.xml in pipewire-pulse,
      this file is required to use module-gsettings.
  * Mark pipewire-pulse in conflict with pulseaudio-module-gsettings,
      both provide org.freedesktop.pulseaudio.gschema.xml.
  * Update symbols file
  * Drop patches included in upstream release: debian/patches/snap/*

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 May 2024 17:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
+Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
+#               dpkg-dev,
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
                libasound2-dev,
                libavahi-client-dev,
                libbluetooth-dev [linux-any],
                libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
+               libcanberra-dev,
                libdbus-1-dev,
                libffado-dev,
                libfreeaptx-dev,
@@ -19,7 +21,6 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev,
-               libcanberra-dev,
                liblc3-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
@@ -45,7 +46,7 @@
                modemmanager-dev,
                pkgconf,
                python3-docutils,
-               systemd-dev
+               systemd-dev | systemd
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -53,9 +54,7 @@
 Homepage: https://pipewire.org/
 Rules-Requires-Root: no
 
-Package: libpipewire-0.3-0t64
-Provides: ${t64:Provides}
-Replaces: libpipewire-0.3-0
+Package: libpipewire-0.3-0
 Breaks: libpipewire-0.3-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
@@ -93,7 +92,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
+Depends: libpipewire-0.3-0 (= ${binary:Version}),
          libspa-0.2-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: pipewire-doc
@@ -130,9 +129,7 @@
 Package: libpipewire-0.3-modules-x11
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libcanberra-pulse
+Depends: libcanberra-pulse, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
 Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
 Description: libraries for the PipeWire multimedia server - X11 modules
@@ -206,11 +203,11 @@
 Section: video
 Architecture: any
 Multi-Arch: same
-Depends: libpipewire-0.3-modules (= ${binary:Version}),
+Depends: adduser,
+         libpipewire-0.3-modules (= ${binary:Version}),
          pipewire-bin (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         adduser
+         ${shlibs:Depends}
 Description: audio and video processing engine multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -231,9 +228,7 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session,
-            wireplumber,
-            rtkit
+Recommends: dbus-user-session, rtkit, wireplumber
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -255,12 +250,10 @@
 Multi-Arch: foreign
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Conflicts: pulseaudio-module-gsettings
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: wireplumber
-Suggests: libspa-0.2-bluetooth,
-          pulseaudio-utils
+Suggests: libspa-0.2-bluetooth, pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -279,9 +272,7 @@
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Conflicts: pulseaudio
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -299,9 +290,7 @@
 Multi-Arch: same
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire JACK plugin, for JACK applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -309,3 +298,5 @@
   - Making available sources of audio and video (such as from a capture devices
     or application provided streams) and multiplexing this with clients.
   - Accessing sources of audio and video for consumption.
+  - Generating graphs for audio and video processing.
+ .

## pipewire 1.2.1

=== debian/changelog ===
pipewire (1.2.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Minver B-D 1.2.5 for libasound2-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 15 Jul 2024 16:54:06 -0700

## pipewire 1.2.2

=== debian/changelog ===
pipewire (1.2.2-1~mx23+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Aug 2024 12:10:43 -0700

## pipewire 1.2.3

=== debian/changelog ===
pipewire (1.2.3-1~mx23+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Aug 2024 20:58:01 -0700

## pipewire 1.2.4

=== debian/changelog ===
pipewire (1.2.4-1ubuntu1) oracular; urgency=medium

  * Backport patch to fix muted sound on login (LP: #2080604)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 26 Sep 2024 09:12:45 +0200

pipewire (1.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1081904)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Sep 2024 17:54:25 +0200

pipewire (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Aug 2024 12:06:17 +0200

pipewire (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Wed, 31 Jul 2024 14:14:11 +0200

pipewire (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libasound2-dev to 1.2.5

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Jul 2024 15:53:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Jeremy Bicha <jbicha@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                doxygen <!nodoc>,
-#               dpkg-dev,
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
-               libasound2-dev,
+               libasound2-dev (>= 1.2.5),
                libavahi-client-dev,
                libbluetooth-dev [linux-any],
                libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
-               libcanberra-dev,
                libdbus-1-dev,
                libffado-dev,
                libfreeaptx-dev,
@@ -21,6 +20,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev,
+               libcanberra-dev,
                liblc3-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
@@ -46,7 +46,7 @@
                modemmanager-dev,
                pkgconf,
                python3-docutils,
-               systemd-dev | systemd
+               systemd-dev
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -54,7 +54,9 @@
 Homepage: https://pipewire.org/
 Rules-Requires-Root: no
 
-Package: libpipewire-0.3-0
+Package: libpipewire-0.3-0t64
+Provides: ${t64:Provides}
+Replaces: libpipewire-0.3-0
 Breaks: libpipewire-0.3-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
@@ -92,7 +94,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpipewire-0.3-0 (= ${binary:Version}),
+Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
          libspa-0.2-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: pipewire-doc
@@ -129,7 +131,9 @@
 Package: libpipewire-0.3-modules-x11
 Architecture: any
 Multi-Arch: same
-Depends: libcanberra-pulse, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libcanberra-pulse
 Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
 Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
 Description: libraries for the PipeWire multimedia server - X11 modules
@@ -203,11 +207,11 @@
 Section: video
 Architecture: any
 Multi-Arch: same
-Depends: adduser,
-         libpipewire-0.3-modules (= ${binary:Version}),
+Depends: libpipewire-0.3-modules (= ${binary:Version}),
          pipewire-bin (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         adduser
 Description: audio and video processing engine multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -228,7 +232,9 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session, rtkit, wireplumber
+Recommends: dbus-user-session,
+            wireplumber,
+            rtkit
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -251,9 +257,12 @@
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
 Conflicts: pulseaudio-module-gsettings
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: wireplumber
-Suggests: libspa-0.2-bluetooth, pulseaudio-utils
+Suggests: libspa-0.2-bluetooth,
+          pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -272,7 +281,9 @@
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Conflicts: pulseaudio
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -290,13 +301,11 @@
 Multi-Arch: same
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: PipeWire JACK plugin, for JACK applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
  .
   - Making available sources of audio and video (such as from a capture devices
-    or application provided streams) and multiplexing this with clients.
-  - Accessing sources of audio and video for consumption.
-  - Generating graphs for audio and video processing.
- .

## pipewire 1.2.5

=== debian/changelog ===
pipewire (1.2.5-1deepin14) unstable; urgency=medium

  * fix: Cancel to report battery level of HFP AG(bug296483)

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 08 May 2025 14:17:39 +0800

pipewire (1.2.5-1deepin13) unstable; urgency=medium

  * fix: Optimize the volume algorithm.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Mon, 28 Apr 2025 16:52:43 +0800

pipewire (1.2.5-1deepin12) unstable; urgency=medium

  * fix: Add config for Unis D3830 G3 sound card(bug312139)

 -- zhaochengyi <zhaochengyi@uniontech.com>  Tue, 15 Apr 2025 17:33:43 +0800

pipewire (1.2.5-1deepin11) unstable; urgency=medium

  * fix: Add config to match lenovo m90h g2t

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 10 Apr 2025 20:46:24 +0800

pipewire (1.2.5-1deepin10) unstable; urgency=medium

  * rebuild.

 -- lhdjply <lhdjply@126.com>  Thu, 13 Feb 2025 16:33:17 +0800

pipewire (1.2.5-1deepin9) unstable; urgency=medium

  * fix: Separate functions for setting sink and source volume.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Fri, 06 Dec 2024 13:52:17 +0800

pipewire (1.2.5-1deepin8) unstable; urgency=medium

  * fix: Add log info of mono flag

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 05 Dec 2024 17:40:57 +0800

pipewire (1.2.5-1deepin7) unstable; urgency=medium

  * fix: Add debug flags of pod and message.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 05 Dec 2024 14:39:01 +0800

pipewire (1.2.5-1deepin6) unstable; urgency=medium

  *  fix: Do not start pipewire in Display Manager user.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Tue, 03 Dec 2024 11:26:12 +0800

pipewire (1.2.5-1deepin5) unstable; urgency=medium

  * Feat: Supports mixing to mono.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Sat, 30 Nov 2024 16:41:56 +0800

pipewire (1.2.5-1deepin4) unstable; urgency=medium

  * Resolving file conflicts libpipewire-0.3-modules (<= 1.0.7-0deepin1).

 -- lichenggang <lichenggang@deepin.org>  Wed, 23 Oct 2024 11:30:28 +0800

pipewire (1.2.5-1deepin2) unstable; urgency=medium

  * Resolving file conflicts.

 -- lichenggang <lichenggang@deepin.org>  Mon, 21 Oct 2024 15:14:55 +0800

pipewire (1.2.5-1deepin1) unstable; urgency=medium

 *revert 64-bit time_t transition patch.

 -- lichenggang <lichenggang@deepin.org>  Sat, 19 Oct 2024 19:08:23 +0800

pipewire (1.2.5-1) unstable; urgency=medium

  * New upstream release
  * Drop patch included in upstream release
  * Drop lintian overrides due to the t64 transition,
      no longer required since lintian 2.117.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Sep 2024 14:37:57 +0200

pipewire (1.2.4-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to fix muted sound on login (LP: #2080604)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 26 Sep 2024 10:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Jeremy Bicha <jbicha@debian.org>,
            Dylan Aïssi <daissi@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
@@ -54,10 +53,7 @@
 Homepage: https://pipewire.org/
 Rules-Requires-Root: no
 
-Package: libpipewire-0.3-0t64
-Provides: ${t64:Provides}
-Replaces: libpipewire-0.3-0
-Breaks: libpipewire-0.3-0 (<< ${source:Version})
+Package: libpipewire-0.3-0
 Architecture: any
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
@@ -94,7 +90,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
+Depends: libpipewire-0.3-0 (= ${binary:Version}),
          libspa-0.2-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: pipewire-doc
@@ -235,7 +231,7 @@
 Recommends: dbus-user-session,
             wireplumber,
             rtkit
-Breaks: pipewire (<< 0.3.5)
+Breaks: pipewire (<< 0.3.5), libspa-0.2-modules (<= 1.0.7-0deepin1), libpipewire-0.3-modules (<= 1.0.7-0deepin1)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
  PipeWire is a server and user space API to deal with multimedia
@@ -309,3 +305,5 @@
  pipelines. This includes:
  .
   - Making available sources of audio and video (such as from a capture devices
+    or application provided streams) and multiplexing this with clients.
+  - Accessing sources of audio and video for consumption.

## pipewire 1.2.6

=== debian/changelog ===
pipewire (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * Rename pipewire-devices.7 to pipewire-props.7
  * Add lintian overrides for groff-message in manpages

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Oct 2024 11:58:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Jeremy Bicha <jbicha@debian.org>,
            Dylan Aïssi <daissi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                doxygen <!nodoc>,
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
@@ -53,7 +53,10 @@
 Homepage: https://pipewire.org/
 Rules-Requires-Root: no
 
-Package: libpipewire-0.3-0
+Package: libpipewire-0.3-0t64
+Provides: ${t64:Provides}
+Replaces: libpipewire-0.3-0
+Breaks: libpipewire-0.3-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
@@ -90,7 +93,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpipewire-0.3-0 (= ${binary:Version}),
+Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
          libspa-0.2-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: pipewire-doc
@@ -231,7 +234,7 @@
 Recommends: dbus-user-session,
             wireplumber,
             rtkit
-Breaks: pipewire (<< 0.3.5), libspa-0.2-modules (<= 1.0.7-0deepin1), libpipewire-0.3-modules (<= 1.0.7-0deepin1)
+Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
  PipeWire is a server and user space API to deal with multimedia
@@ -306,4 +309,3 @@
  .
   - Making available sources of audio and video (such as from a capture devices
     or application provided streams) and multiplexing this with clients.
-  - Accessing sources of audio and video for consumption.
